[vlc-commits] contrib: fix default name of .prl files

Pierre Lamot git at videolan.org
Tue May 21 14:14:51 CEST 2019


vlc | branch: master | Pierre Lamot <pierre at videolabs.io> | Tue May 21 09:28:11 2019 +0200| [817016ab1ea1b54ff736e82d9facfc7417912fb1] | committer: Steve Lhomme

contrib: fix default name of .prl files

By default it should be lib*.prl and *.prl for Windows non-mingw builds.

> http://git.videolan.org/gitweb.cgi/vlc.git/?a=commit;h=817016ab1ea1b54ff736e82d9facfc7417912fb1
---

 contrib/src/qt/AddStaticLink.sh | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/contrib/src/qt/AddStaticLink.sh b/contrib/src/qt/AddStaticLink.sh
index ec6be88771..8ad823577c 100755
--- a/contrib/src/qt/AddStaticLink.sh
+++ b/contrib/src/qt/AddStaticLink.sh
@@ -11,7 +11,7 @@ PLUGIN_PATH="$3"
 PLUGIN_NAME="$4"
 
 PC_DEST="${PREFIX}/lib/pkgconfig/${2}.pc"
-PRL_SOURCE=${PREFIX}/${PLUGIN_PATH}/${PLUGIN_NAME}.prl
+PRL_SOURCE=${PREFIX}/${PLUGIN_PATH}/lib${PLUGIN_NAME}.prl
 
 if [ ! -f $PC_DEST ]; then
     echo "destination ${PC_DEST} doesn't exists" >&2
@@ -19,8 +19,11 @@ if [ ! -f $PC_DEST ]; then
 fi
 
 if [ ! -f $PRL_SOURCE ]; then
-    echo "source ${PRL_SOURCE} doesn't exists" >&2
-    exit 1
+    PRL_SOURCE=${PREFIX}/${PLUGIN_PATH}/${PLUGIN_NAME}.prl
+    if [ ! -f $PRL_SOURCE ]; then
+        echo "source ${PRL_SOURCE} doesn't exists" >&2
+        exit 1
+    fi
 fi
 
 # Get the links flags necessary to use the plugin from the installed PRL file of the plugin



More information about the vlc-commits mailing list